import React from "react";
import useInputFieldState from "../../custom-hooks/useInputFieldState";
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";


export default function TextareaBehaviour (props){

  let { value, onChangeWrapping } = useInputFieldState(props);

  let renderProps = {};
  let { renderComponent, ...basicProps} = props;
  
  return <SkeletonThemeWrapper basicProps={{...basicProps, onChange:onChangeWrapping, value}} renderProps={renderProps} component={renderComponent} />;
}

export function TextareaControlledBehaviour (props){

  let renderProps = {};
  let { renderComponent, ...basicProps} = props;
  
  return <SkeletonThemeWrapper basicProps={basicProps} renderProps={renderProps} component={renderComponent} />;
}